Bug 221024 - Regression: patsubst causes warnings with empty '?' pattern
Regression: patsubst causes warnings with empty '?' pattern
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m4 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Ben Levenson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 08:58 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.5-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 18:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-12-30 08:58:27 EST
Description of problem:

Recent 'm4' creates a warning for patsubst expressions with the '?' 
pattern when result is empty

| $ echo 'patsubst(config.h,\([^:]*/\)?.*,\1)' | m4 -E ; echo $?
| stdin:1: m4: Warning: sub-expression 1 not present
| 1
| $

With 'm4-1.4.4' from FC-5, things are fine

| $ echo 'patsubst(config.h,\([^:]*/\)?.*,\1)' | m4 -E ; echo $?
|
| 0
| $


This causes real trouble when building old software which is using
automake-1.4. There, AM_CONFIG_HEADER() contains the pattern

| <<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,                

and will trigger an error on e.g.

| AM_CONFIG_HEADER(config.h)


Version-Release number of selected component (if applicable):

m4-1.4.5-3
Comment 1 Miloslav Trmač 2007-01-04 23:43:07 EST
Again, thanks for the report.
Comment 2 Fedora Update System 2007-01-05 12:00:51 EST
m4-1.4.5-4 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2007-01-12 14:37:17 EST
m4-1.4.5-4 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.